import { ListPlayerBase } from './ListPlayerBase';
import premierlibrary from 'libpremierlibrary.so';
export class OhosUrlListPlayer extends ListPlayerBase {
    constructor(r35, s35, t35, u35) {
        super(r35, s35, t35, u35);
    }
    addUrl(p35, q35) {
        premierlibrary.nListAddUrl(this, p35, q35);
    }
    getPreRenderPlayerIndex() {
        return premierlibrary.nListGetPreRenderPlayerIndex(this);
    }
    getCurrentPlayerIndex() {
        return premierlibrary.nListGetCurrentPlayerIndex(this);
    }
    moveToNext(n35) {
        let o35 = premierlibrary.nListMoveToNext(this, n35);
        if (o35 == 1) {
            return true;
        }
        else {
            return false;
        }
    }
    moveToPrev() {
        let m35 = premierlibrary.nListMoveToPrev(this);
        if (m35 == 1) {
            return true;
        }
        else {
            return false;
        }
    }
    moveTo(k35) {
        let l35 = premierlibrary.nListMoveTo(this, k35);
        if (l35 == 1) {
            return true;
        }
        else {
            return false;
        }
    }
}
